Package org.apache.sysds.common

# Enum Class Types.AggOp

java.lang.Object
java.lang.Enum<Types.AggOp>
org.apache.sysds.common.Types.AggOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.AggOp>`, `Constable`

Enclosing interface:
  Types

public static enum Types.AggOp extends Enum<Types.AggOp>
Aggregation operations

The AggOp contain identifying integer values that need to match with their native counterparts for instance for spoof CUDA ops.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COUNT_DISTINCT`
`COUNT_DISTINCT_APPROX`
`MAX`
`MAXINDEX`
`MEAN`
`MIN`
`MININDEX`
`PROD`
`SUM`
`SUM_PROD`
`SUM_SQ`
`TRACE`
`UNIQUE`
`VAR`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Types.AggOp`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.AggOp`
`valueOfByOpcode(String opcode)`
`static Types.AggOp[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SUM

public static final Types.AggOp SUM

### SUM_SQ

public static final Types.AggOp SUM_SQ

### MIN

public static final Types.AggOp MIN

### MAX

public static final Types.AggOp MAX

### PROD

public static final Types.AggOp PROD

### SUM_PROD

public static final Types.AggOp SUM_PROD

### TRACE

public static final Types.AggOp TRACE

### MEAN

public static final Types.AggOp MEAN

### VAR

public static final Types.AggOp VAR

### MAXINDEX

public static final Types.AggOp MAXINDEX

### MININDEX

public static final Types.AggOp MININDEX

### COUNT_DISTINCT

public static final Types.AggOp COUNT_DISTINCT

### COUNT_DISTINCT_APPROX

public static final Types.AggOp COUNT_DISTINCT_APPROX

### UNIQUE

public static final Types.AggOp UNIQUE

## Method Details

### values

public static Types.AggOp[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Types.AggOp valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Types.AggOp>`

### valueOfByOpcode

public static Types.AggOp valueOfByOpcode(String opcode)